Summary:	Liquid War. Based on the Allegra Gamers library
Name:		liquidwar
Version:	5.4.1
Release:	1
Copyright:	GPL
Group:		Games
Source0: 	liquidwar-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRequires:	allegro-devel
Requires:	allegro
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot

%description
Liquid War is a multiplayer wargame.

%prep
%setup -q

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/share/liquidwar
mv $RPM_BUILD_ROOT/usr/share/liquidwar.dat $RPM_BUILD_ROOT/usr/share/liquidwar
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Games

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/*
